Debian Bug report logs - #659073
support findiso functionality

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: don martino <donatom.martino@gmail.com>

Date: Wed, 8 Feb 2012 02:18:01 UTC

Severity: wishlist

Tags: fixed-upstream, moreinfo

Merged with 656135

Found in version live-boot/3.0~a24-1

Fixed in version live-boot/3.0~a27-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, donatom.martino@gmail.com, unknown-package@qa.debian.org:
Bug#659073; Package debian-live. (Wed, 08 Feb 2012 02:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to don martino <donatom.martino@gmail.com>:
New Bug report received and forwarded. Copy sent to donatom.martino@gmail.com, unknown-package@qa.debian.org. (Wed, 08 Feb 2012 02:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: don martino <donatom.martino@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-live iso -- cannot be used in multiboot grub2 installations (usb drives)
Date: Tue, 07 Feb 2012 18:15:00 -0800
Package: debian-live
Severity: normal

Unlike other live isos (ubuntu, fedora, grml, system rescue), Debian-live isos
will not boot on a multiboot usb drive using grub2. This is well documented
from internet where  every Debian help group reports this fact. It is quite
frustrating (and time-consuming) not being able to boot Debian-live isos (6.0.3
-live-amd64-desktop.iso, 6.0.3-live-i386-desktop.iso), while live isos from
other linux distributions can readily boot.

Debian live begins to boot via grub2, but half-way through boot, it hangs for
two/three minutes and then leaves grub, stating that live iso could not be
found.

The following is my grub2 menu entry (one of about a hundred that I wrote):

menuentry "debian 64 bit live" {
  loopback loop /boot/Debian/debian-live-6.0.3-amd64-gnome-desktop.iso
  linux (loop)/live/vmlinuz  live-media-path=/boot/Debian/debian-
live-6.0.3-amd64-gnome-desktop.iso --
  initrd (loop)/live/initrd.img

I have another similar menu entry for i386 (which I tweaked repeatedly to no
avail)

I could probably boot a live Lenny iso but I don't want to use an older version
of Debian.

Debian-live works well if I copy usb-hdd img to a usb drive (and persistence
works flawlessly -- better, in fact, than Ubuntu 10.10 or 11.10). The hybrid
iso does not work with persistence (I cannot create live-rw partition --
grparted, fdisk do not recognize that an OS has been installed; they only see
"unallocated space"). But Debian is unbootable in a multiboot system.

Why should Ubuntu, a Debian derivitive, be superior to Debian-live at
multibooting? Why should other distributions make a better live iso than
Debian?



-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39.4-custom (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'debian-live' to 'live-boot'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 08 Feb 2012 09:36:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'support findiso functionality' from 'debian-live iso -- cannot be used in multiboot grub2 installations (usb drives)' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 08 Feb 2012 09:36:04 GMT) Full text and rfc822 format available.

Forcibly Merged 656135 659073. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 08 Feb 2012 09:36:06 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 08 Feb 2012 10:30:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#659073; Package live-boot. (Mon, 20 Feb 2012 06:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to don martino <donatom.martino@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 20 Feb 2012 06:00:04 GMT) Full text and rfc822 format available.

Message #18 received at 659073@bugs.debian.org (full text, mbox):

From: don martino <donatom.martino@gmail.com>
To: 659073@bugs.debian.org
Subject: live-boot -- doesn't work on multiboot usb drive with grub2
Date: Sun, 19 Feb 2012 21:57:04 -0800
[Message part 1 (text/plain, inline)]
I finally succeeded in getting the Debian-live iso
(6.0.3-live-amd64-desktop.iso) to boot on a multiboot usb drive using grub2.

I extracted the "live" directory from the iso and placed it on the root of
my usb drive. I then extracted the rest of the iso and placed the contents
into the same "live" directory of the usb drive (don't know if this is
necessary). I also placed a copy of the Debian-live 6.0.3 iso into the very
same directory.

This is not a very elegant solution -- but it works (I followed a similar
procedure in getting BackTrack5 (a Debian derivitive) to boot after reading
a Ubuntu forum on the subject.

The following is a copy of my menuentry for grub2:
------------
menuentry "debian 64 bit live" {
  #loopback loop /live/debian-live-6.0.3-amd64-gnome-desktop.iso
  linux /live/vmlinuz
iso-scan/filename=/live/debian-live-6.0.3-amd64-gnome-desktop.iso BOOT=live
boot=live live-config  nopersistent rw  --
  initrd /live/initrd.img
}
-------------
I believe the loopback line above is unnecessary so I commented it out.

I haven't tried to make it "persistent" (notice the nopersistent in the
menu entry), but I believe it could be done by replacing "nopersistent"
above with persistent and by creating a ext2 partition labeled "live-rw"
(in gparted, look for box called "label" and enter "live-rw" as you are
partitioning -- and, of course, you can use the command line to do the same
thing). I have a "casper-rw" partition for Ubuntu, so I don't have room to
create another persistent partition -- but I will probably replace it with
the "live-rw" partition since I believe that Debian is a much more robust
platform.

Debian truly is universal -- AND universally great! (but, as far as
Debian-live is concerned, it could be more transparent and intuitive --
like Ubuntu live).

So, as far as I am concerned, this bug has been solved (and probably never
existed in the first place). I know this bug has been merged with another
(find-iso), so I am not sure whether Debian wants to mark it as solved (I
really don't know why "find-iso" is important when "iso-scan" works! --
just my opinion).

Thanks for your (all of you) tremendously hard work and great dedication!!

don martino
[Message part 2 (text/html, inline)]

Added tag(s) fixed-upstream. Request was from intrigeri <intrigeri+debian-live@boum.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 18:36:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jul 2012 07:27:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:28:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.